Lexus is a web based system, in order to use it you need proper internet connection, we recommend a solid broadband internet for better performance. Also make sure that you have installed the latest Flash Player plug in (version 11.0 or later) on your browser, our recommendation is that you use Mozilla Firefox browser (with a minimum screen resolution of 1280 x 1024). QuickTime Player has to be installed as well, to play media fragments. Please contact us at lexus@mpi.nl if there are any problems.

Facebooktwittergoogle_pluslinkedin